/*
    This file is part of jLensInfo by Philipp Hoehne <http://digicam4.me> 

    jLensInfo  is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    jLensInfo is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with jLensInfo.  If not, see <http://www.gnu.org/licenses/>.
*/
   

package com.phoehne.exif.lensinfo.nikon;

import java.io.InputStream;
import java.util.HashMap;
import java.util.Scanner;

/**
 *
 * @author dorian
 */
public class LensNamesForNikon {
    
    private static HashMap lensNameMap;
    
    // @todo Throw exception when lens map couldn't get initialized because of missing or corrupt lens file
    
    public LensNamesForNikon() {
        lensNameMap = new HashMap();
        InputStream IS;
        Scanner in;
        String[] items;
        IS = LensNamesForNikon.class.getResourceAsStream("NikonLenses");
        in = new Scanner(IS);
        while(in.hasNext()) {
            items = in.nextLine().split("\\|");
            lensNameMap.put(items[0], items[1]);
        }
        in.close();
    }
    
    public String getLensName(String nikonExtendedLensID) {
        Object nikonLens = lensNameMap.get(nikonExtendedLensID.trim().toUpperCase());
        if(nikonLens == null) return "Unidentified lens (" + nikonExtendedLensID.trim().toUpperCase() +")";
        else return nikonLens.toString();
    }
    
}